Bug 182345 - [PATCH] audio/chromaprint: fix build on 10.0-ALPHA2
Summary: [PATCH] audio/chromaprint: fix build on 10.0-ALPHA2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 13:40 UTC by Steve Wills
Modified: 2013-09-25 02:31 UTC (History)
1 user (show)

See Also:


Attachments
chromaprint-0.7_1.patch (1.28 KB, patch)
2013-09-24 13:40 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2013-09-24 13:40:00 UTC
- Fix build on 10.0-ALPHA2

Port maintainer (jhale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-09-24 13:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-09-25 02:29:32 UTC
Author: jhale
Date: Wed Sep 25 01:29:24 2013
New Revision: 328231
URL: http://svnweb.freebsd.org/changeset/ports/328231

Log:
  - Update to 1.0
  - Support staging
  - Fix build with libc++ [1]
  
  PR:		ports/182345 [1]
  Submitted by:	swills [1]

Added:
  head/audio/chromaprint/files/patch-src__utils.h   (contents, props changed)
Modified:
  head/audio/chromaprint/Makefile
  head/audio/chromaprint/distinfo
  head/audio/chromaprint/pkg-plist

Modified: head/audio/chromaprint/Makefile
==============================================================================
--- head/audio/chromaprint/Makefile	Wed Sep 25 01:19:21 2013	(r328230)
+++ head/audio/chromaprint/Makefile	Wed Sep 25 01:29:24 2013	(r328231)
@@ -1,10 +1,9 @@
 # $FreeBSD$
 
 PORTNAME=	chromaprint
-PORTVERSION=	0.7
-PORTREVISION=	1
+PORTVERSION=	1.0
 CATEGORIES=	audio
-MASTER_SITES=	http://cloud.github.com/downloads/lalinsky/${PORTNAME}/
+MASTER_SITES=	http://bitbucket.org/acoustid/${PORTNAME}/downloads/
 
 MAINTAINER=	jhale@FreeBSD.org
 COMMENT=	AcoustID audio fingerprinting library
@@ -14,9 +13,9 @@ LICENSE=	LGPL21
 LIB_DEPENDS=	avcodec${FFMPEG_SUFFIX}:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
 
 USES=		cmake:outsource
-NO_STAGE=	yes
 USE_LDCONFIG=	yes
 
+FETCH_ARGS=	-Fpr
 CMAKE_ARGS=	-DBUILD_EXAMPLES:BOOL=ON \
 		-DWITH_AVFFT:BOOL=ON \
 		-DFFMPEG_SUFFIX:STRING=${FFMPEG_SUFFIX}
@@ -26,4 +25,10 @@ post-patch:
 	${REINPLACE_CMD} -e '/pkgconfig/s|$${LIB_INSTALL_DIR}|libdata|' \
 		 ${WRKSRC}/CMakeLists.txt
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if (${CXX:T} == "clang++" && ${OSVERSION} > 902000) || ${OSVERSION} > 1000054
+CXXFLAGS+= -stdlib=libc++ -std=c++11
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/audio/chromaprint/distinfo
==============================================================================
--- head/audio/chromaprint/distinfo	Wed Sep 25 01:19:21 2013	(r328230)
+++ head/audio/chromaprint/distinfo	Wed Sep 25 01:29:24 2013	(r328231)
@@ -1,2 +1,2 @@
-SHA256 (chromaprint-0.7.tar.gz) = 4e52c3fd443c91a5c429557753d4ba3f9d31d183810412c0d8600892f3975501
-SIZE (chromaprint-0.7.tar.gz) = 543811
+SHA256 (chromaprint-1.0.tar.gz) = af4f780e587ebd7e61a8d175db3bbd63ee644a960bd75e52407a28fd83089f1e
+SIZE (chromaprint-1.0.tar.gz) = 541381

Added: head/audio/chromaprint/files/patch-src__utils.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/chromaprint/files/patch-src__utils.h	Wed Sep 25 01:29:24 2013	(r328231)
@@ -0,0 +1,10 @@
+--- src/utils.h.orig	2013-09-21 17:20:43.538723086 +0000
++++ src/utils.h	2013-09-21 17:21:02.622721058 +0000
+@@ -30,6 +30,7 @@
+ #include <stdint.h>
+ #include <limits>
+ #include <iterator>
++#include <algorithm>    // std::fill
+ 
+ #ifndef HAVE_ROUND
+ static inline double round(double x)

Modified: head/audio/chromaprint/pkg-plist
==============================================================================
--- head/audio/chromaprint/pkg-plist	Wed Sep 25 01:19:21 2013	(r328230)
+++ head/audio/chromaprint/pkg-plist	Wed Sep 25 01:29:24 2013	(r328231)
@@ -2,5 +2,5 @@ bin/fpcalc
 include/chromaprint.h
 lib/libchromaprint.so
 lib/libchromaprint.so.0
-lib/libchromaprint.so.0.2.0
+lib/libchromaprint.so.0.2.1
 libdata/pkgconfig/libchromaprint.pc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason E. Hale freebsd_committer 2013-09-25 02:31:16 UTC
State Changed
From-To: open->closed

Committed with new version.  Thanks!